<template>
  <section class="navbar">
    <ul :style="gridStyle">
      <li class="logo" style="max-width: 150px; min-width: 150px;">
        <RLink to="/">
          <img src="../assets/hacknizer.png" alt="../assets/hacknizer.png">
        </RLink>
      </li>
      <div style="flex: 1" />
        <li v-for="button in buttons" :key="button.name">
          <RLink :to="button.link">
            {{ button.name }}
          </RLink>
        </li>
    </ul>
  </section>
</template>

<script>
import RLink from "./RLink.vue";

export default {
  components: {
    RLink
  },
  props: {
    buttons: {
      type: Array,
      required: true
    },
    logoSrc: {
      type: String,
      required: true
    },
    logoAlt: {
      type: String,
      required: true
    }
  }
};
</script>

<style scoped>
.navbar {
  background-color: #463A8C;
  position: sticky;
  top: 0;
  min-height: 10vh;
  z-index: 1000;
}

ul {
  display: grid;
  grid-template-rows: 1fr;
  align-items: center;
  min-height: 10vh;
  display: flex;
  flex-direction: row;
}

li {
  list-style-type: none;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-right: 40px;
}

.loginButtons {
  min-width: 100%;
  justify-content: flex-end;
  display: flex;
  flex-direction: row;
}
</style>
